[build-system]
requires = ["setuptools>=67.8"]
build-backend = "setuptools.build_meta"

[project]
name = "ghostforge"
version = "0.0.1"
authors = [{ name = "ghostforge", email = "git@nixon.mozmail.com" }]
description = "A false identity information manager for privacy prudent persons"
readme = "README.md"
requires-python = ">=3.9"
license = { text = "MIT" }
dependencies = [
    "fastapi==0.95.2",
    "uvicorn==0.22.0",
    "loguru==0.7.0",
    "passlib==1.7.4",
    "pydantic==1.10.8",
    "alembic==1.11.1",
    "asyncpg==0.27.0",
    "greenlet==2.0.2",
    "jinja2==3.1.2",
    "fastapi-users==11.0.0",
    "fastapi-users-db-sqlmodel==0.3.0",
    "sqlmodel==0.0.8",
    "markdown==3.4.3",
    "faker==18.9.0",
]

[project.scripts]
ghostforge_adduser = "ghostforge.cli:cli_create_user"

[project.urls]
homepage = "https://github.com/DarrylNixon/ghostforge"
repository = "https://github.com/DarrylNixon/ghostforge"

[tool.setuptools]
py-modules = ["ghostforge"]

[tool.bandit]
exclude_dirs = ["/doc", "/build"]
# TODO: Stop skipping B104 (binding on 0.0.0.0), is there a nice way to get a good docker bind address?
skips = ["B104"]

[tool.black]
line-length = 120
